Bug 432142 - 0.24.1 dies with "is already being managed" error
0.24.1 dies with "is already being managed" error
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: puppet (Show other bugs)
8
All All
low Severity high
: ---
: ---
Assigned To: David Lutterkort
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-08 20:33 EST by Frank Sweetser
Modified: 2013-04-30 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.24.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:35:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix 0.24.1 "already managed" bug (1.82 KB, patch)
2008-02-08 20:33 EST, Frank Sweetser
no flags Details | Diff

  None (edit)
Description Frank Sweetser 2008-02-08 20:33:28 EST
Puppet 0.24.1 has a known bug which prevents clients from successfully applying
manifests.  The tell-tale error message is a complaint about resources already
being managed, such as:

err: File[/var/lib/puppet] is already being managed

There are two relevant tickets in the Puppet bug tracker.

http://reductivelabs.com/trac/puppet/ticket/1036
http://reductivelabs.com/trac/puppet/ticket/959

The bug fix referenced in #959 is attached.  I've applied and tested it to the
latest RPM, and it clears up the error on my systems.
Comment 1 Frank Sweetser 2008-02-08 20:33:28 EST
Created attachment 294440 [details]
Fix 0.24.1 "already managed" bug
Comment 2 Frank Sweetser 2008-05-06 15:35:58 EDT
This appears fixed in the 0.24.4 branch, so can probably be closed out now.

Note You need to log in before you can comment on or make changes to this bug.